*** New CSSSTYLE Option with @Media Section;
*** Look in the CSS file to see how the section is defined;
options orientation=portrait nodate nonumber center;
ods listing close;

ods html path='c:\temp' (url=none)
    file="demo4_pr.html" 
    cssstyle='demo4.css'(print);

ods rtf file="c:\temp\demo4_pr.rtf" 
    cssstyle='c:\temp\demo4.css'(print)
    startpage=no;

ods pdf file="c:\temp\demo4_pr.pdf" 
    cssstyle='c:\temp\demo4.css'(print)
    startpage=no;

proc print data=sashelp.class(obs=3);
  title 'Use @MEDIA Rules for PRINT';
run;

ods select variables;
proc contents data=sashelp.class;
  title 'List of Variables';
run;

ods _all_ close;

** Without any @MEDIA setting, ODS uses a SCREEN Media rule;
ods html(1) path='c:\temp\' (url=none)
    file="demo4_scr.html" 
    cssstyle='demo4.css'(screen);

ods html(2) path='c:\temp\' (url=none)
    file="demo4_default.html" 
    cssstyle='demo4.css';

ods rtf file="c:\temp\demo4_scr.rtf" 
    cssstyle='c:\temp\demo4.css'(screen)
    startpage=no;

ods pdf file="c:\temp\demo4_scr.pdf" 
    cssstyle='c:\temp\demo4.css'(screen)
    startpage=no;

proc print data=sashelp.class(obs=3);
  title 'Use @MEDIA Rules for SCREEN';
run;

ods select variables;
proc contents data=sashelp.class;
  title 'List of Variables';
run;

ods _all_ close;


** Mix and Match @Media Rule to Destination;
ods html path='c:\temp\' (url=none)
    file="demo4_diff.html" 
    cssstyle='demo4.css'(screen);

ods rtf file="c:\temp\demo4_diff.rtf" 
    cssstyle='c:\temp\demo4.css'(print)
    startpage=no;

ods pdf file="c:\temp\demo4_diff.pdf" 
    cssstyle='c:\temp\demo4.css'(print)
    startpage=no;

proc print data=sashelp.class(obs=3);
  title 'Mix and Match CSS to Destination';
run;

ods select variables;
proc contents data=sashelp.class;
  title 'List of Variables';
run;

ods _all_ close;


** do not see title "List of Variables" because;
** of STARTPAGE=NO option for PDF;
** could use ODS ESCAPECHAR and TEXT= to insert the string;
/*
ods escapechar='^';
ods pdf text='^S={just=center font_weight=bold font_size=14pt}List of Variables';
*/

ods listing;
title;
footnote;
